Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::KeyboardDevice Class Reference

キーボードデバイス More...

`#include <KeyboardDevice.h>`

Inheritance diagram for Lamp::KeyboardDevice:

List of all members.

## Public Member Functions
virtual const KeyboardState & | getKeyboardState () const
| キーボードステートの取得
virtual bool | setCooperativeLevel (bool exclusive, bool foreground)
| 協調レベルの設定
virtual String | toString () const
| 文字列への変換
## Protected Member Functions
| KeyboardDevice ()
| コンストラクタ
virtual | ~KeyboardDevice ()
| デストラクタ
virtual bool | initialize (DirectInputDevice *inputDevice, HWND windowHandle)
| 初期化
virtual bool | polling ()
| ポーリング
## Friends
class | LampInput
class | BufferedInput

## Detailed Description

キーボードデバイス

Definition at line 38 of file KeyboardDevice.h.

## Member Function Documentation

virtual const KeyboardState& Lamp::KeyboardDevice::getKeyboardState | ( |  | ) | const`[inline, virtual]`

| キーボードステートの取得 Returns: キーボードステート Definition at line 46 of file KeyboardDevice.h.

bool Lamp::KeyboardDevice::initialize | ( | DirectInputDevice * | inputDevice,
|  | HWND | windowHandle
| ) | `[protected, virtual]`

  | 初期化 Parameters:
  inputDevice | 入力デバイス
  windowHandle | ウィンドウハンドル
Returns: 成功すればtrue Reimplemented from Lamp::InputDevice. Definition at line 40 of file KeyboardDevice.cpp. References DirectXFailed, ErrorOut, Lamp::InputDevice::isExclusive(), Lamp::InputDevice::isForeground(), and setCooperativeLevel(). Referenced by Lamp::LampInput::initialize().

bool Lamp::KeyboardDevice::polling | ( |  | ) | `[protected, virtual]`

| ポーリング Returns: ポーリングが正常であればtrue Reimplemented from Lamp::InputDevice. Definition at line 55 of file KeyboardDevice.cpp. References Lamp::InputDevice::acquire(), Lamp::KeyboardState::clear(), DirectXSucceeded, ErrorOut, Lamp::InputDevice::inputDevice_, Lamp::KeyboardKey::Key, Lamp::KeyboardKey::maxKeyCount, Lamp::KeyboardState::setKeyPressed(), and u_char.

virtual bool Lamp::KeyboardDevice::setCooperativeLevel | ( | bool | exclusive,
|  | bool | foreground
| ) | `[inline, virtual]`

  | 協調レベルの設定 Parameters:
  exclusive | 排他モードならtrue
  foreground | フォアグラウンドモードならtrue
Returns: 成功すればtrue Reimplemented from Lamp::InputDevice. Definition at line 56 of file KeyboardDevice.h. References Assert. Referenced by initialize(), and Lamp::Keyboard::setCooperativeLevel().

virtual String Lamp::KeyboardDevice::toString | ( |  | ) | const`[inline, virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::InputDevice. Definition at line 66 of file KeyboardDevice.h. References Lamp::InputDevice::getInputDeviceString(), and Lamp::KeyboardState::toString().

The documentation for this class was generated from the following files:

- KeyboardDevice.h
- KeyboardDevice.cpp